Delete a call
DELETEhttps://{API_ENDPOINT}/v1/Accounts/{AccountSid}/Calls/{CallSid}
Authentication
Authorizationheader (bearer token, required) — Bearer authentication of the formBearer <token>, where token is your auth token.
Request
Path parameters
AccountSidstringCallSidstring
Response
204
call successfully deleted
Errors
404 Not Found Error
call not found
any
422 Unprocessable Entity Error
unprocessable entity
msgstring
500 Internal Server Error
system error
msgstring
Examples
cURL
curl -X DELETE "https://{API_ENDPOINT}/v1/Accounts/AccountSid/Calls/CallSid" \
-H "Authorization: Bearer <token>"
Python
import requests
url = "https://{API_ENDPOINT}/v1/Accounts/AccountSid/Calls/CallSid"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.json())
JavaScript
const url = 'https://{API_ENDPOINT}/v1/Accounts/AccountSid/Calls/CallSid';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}